#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hledger-iadd
version:              1.3.17
visibility:           public
id:                   hledger-iadd-1.3.17-DZ7cvOuTWWM6Eqeuv8hVO4
key:                  hledger-iadd-1.3.17-DZ7cvOuTWWM6Eqeuv8hVO4
license:              BSD-3-Clause
copyright:            2018 Hans-Peter Deifel
maintainer:           Hans-Peter Deifel <hpd@hpdeifel.de>
author:               Hans-Peter Deifel <hpd@hpdeifel.de>
homepage:             https://github.com/hpdeifel/hledger-iadd#readme
synopsis:             A terminal UI as drop-in replacement for hledger add
description:
    This is a terminal UI as drop-in replacement for hledger add.

    It improves in the following ways on hledger'\''s add command:

    * Interactive as-you-type completion for
    account names and descriptions with optional
    fuzzy matching.

    * Integrated calculator: Amounts can be written
    as simple sums with real-time feedback on the
    result.

    * All actions while entering a transaction can
    be undone

    * Configurable format for date input. Instead
    of @y\/m\/d@ it is also possible to use other
    formats like the german @d.m.y@.

category:             Finance, Console
abi:                  5fcfb076b23212198e20238d5b7d0728
exposed:              True
exposed-modules:
    AmountParser Brick.Widgets.BetterDialog Brick.Widgets.Border.Utils
    Brick.Widgets.CommentDialog Brick.Widgets.Edit.EmacsBindings
    Brick.Widgets.HelpMessage Brick.Widgets.List.Utils
    Brick.Widgets.WrappedText ConfigParser Data.Time.Ext DateParser
    Model View

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hledger-iadd-1.3.17
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hledger-iadd-1.3.17
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/hledger-iadd
hs-libraries:         HShledger-iadd-1.3.17-DZ7cvOuTWWM6Eqeuv8hVO4
depends:
    base-4.15.1.0 brick-0.71-7PXDoteXT3EAIiBEQY77YK containers-0.6.4.1
    directory-1.3.6.2 free-5.1.9-ClmHFhmbInp6r4l7HCxNUy
    hledger-lib-1.26.1-33dpqH0hzJnEX1StdnXqus
    megaparsec-9.2.1-9arsTJVJ3Xb56Lt2DjRRKS
    microlens-0.4.13.0-8kbZITwqGed8vNsPXOVOwI
    microlens-th-0.4.3.10-CQmpaaSwO5aKTBUMVOAKZU
    optparse-applicative-0.16.1.0-BKNPip5PGw2CnbOiekISfW text-1.2.5.0
    text-zipper-0.12-HOKtA2jVOEV7wRavLfKy6p time-1.9.3
    transformers-0.5.6.2
    unordered-containers-0.2.19.1-DKI32UXisJ5DsjnshdrAkp
    vector-0.12.3.1-37YOJsTp4sSIT9CMAp9q9Q
    vty-5.36-8uSPHIlBeGc4oX0N8Kts4Y
    xdg-basedir-0.2.2-DeGg1ryr7ndmwRYCQYweT

haddock-interfaces:   /usr/share/doc/hledger-iadd/html/hledger-iadd.haddock
haddock-html:         /usr/share/doc/hledger-iadd/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

